## mars.mips.hardware
Class MemoryConfigurations

    java.lang.Object
      mars.mips.hardware.MemoryConfigurations

    public class MemoryConfigurations

extends Object

Models the collection of MIPS memory configurations. The default configuration is based on SPIM. Starting with MARS 3.7, the configuration can be changed.

Author:
  Pete Sanderson

Constructor Summary
`MemoryConfigurations()`

Method Summary
`static void` `buildConfigurationCollection()`
`static MemoryConfiguration` `getConfigurationByName(String name)`
`static Iterator` `getConfigurationsIterator()`
`static MemoryConfiguration` `getCurrentConfiguration()`
`static MemoryConfiguration` `getDefaultConfiguration()`
`static int` `getDefaultDataBaseAddress()`
`static int` `getDefaultDataSegmentBaseAddress()`
`int` `getDefaultDataSegmentLimitAddress()`
`static int` `getDefaultExceptionHandlerAddress()`
`static int` `getDefaultExternBaseAddress()`
`static int` `getDefaultGlobalPointer()`
`static int` `getDefaultHeapBaseAddress()`
`static int` `getDefaultKernelBaseAddress()`
`static int` `getDefaultKernelDataBaseAddress()`
`int` `getDefaultKernelDataSegmentLimitAddress()`
`static int` `getDefaultKernelHighAddress()`
`static int` `getDefaultKernelTextBaseAddress()`
`int` `getDefaultKernelTextLimitAddress()`
`static int` `getDefaultMemoryMapBaseAddress()`
`static int` `getDefaultStackBaseAddress()`
`int` `getDefaultStackLimitAddress()`
`static int` `getDefaultStackPointer()`
`static int` `getDefaultTextBaseAddress()`
`int` `getDefaultTextLimitAddress()`
`static int` `getDefaultUserHighAddress()`
`int` `getMemoryMapLimitAddress()`
`static boolean` `setCurrentConfiguration(MemoryConfiguration config)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemoryConfigurations

    public MemoryConfigurations()

Method Detail

### buildConfigurationCollection

    public static void buildConfigurationCollection()

### getConfigurationsIterator

    public static Iterator getConfigurationsIterator()

### getConfigurationByName

    public static MemoryConfiguration getConfigurationByName(String name)

### getDefaultConfiguration

    public static MemoryConfiguration getDefaultConfiguration()

### getCurrentConfiguration

    public static MemoryConfiguration getCurrentConfiguration()

### setCurrentConfiguration

    public static boolean setCurrentConfiguration(MemoryConfiguration config)

### getDefaultTextBaseAddress

    public static int getDefaultTextBaseAddress()

### getDefaultDataSegmentBaseAddress

    public static int getDefaultDataSegmentBaseAddress()

### getDefaultExternBaseAddress

    public static int getDefaultExternBaseAddress()

### getDefaultGlobalPointer

    public static int getDefaultGlobalPointer()

### getDefaultDataBaseAddress

    public static int getDefaultDataBaseAddress()

### getDefaultHeapBaseAddress

    public static int getDefaultHeapBaseAddress()

### getDefaultStackPointer

    public static int getDefaultStackPointer()

### getDefaultStackBaseAddress

    public static int getDefaultStackBaseAddress()

### getDefaultUserHighAddress

    public static int getDefaultUserHighAddress()

### getDefaultKernelBaseAddress

    public static int getDefaultKernelBaseAddress()

### getDefaultKernelTextBaseAddress

    public static int getDefaultKernelTextBaseAddress()

### getDefaultExceptionHandlerAddress

    public static int getDefaultExceptionHandlerAddress()

### getDefaultKernelDataBaseAddress

    public static int getDefaultKernelDataBaseAddress()

### getDefaultMemoryMapBaseAddress

    public static int getDefaultMemoryMapBaseAddress()

### getDefaultKernelHighAddress

    public static int getDefaultKernelHighAddress()

### getDefaultDataSegmentLimitAddress

    public int getDefaultDataSegmentLimitAddress()

### getDefaultTextLimitAddress

    public int getDefaultTextLimitAddress()

### getDefaultKernelDataSegmentLimitAddress

    public int getDefaultKernelDataSegmentLimitAddress()

### getDefaultKernelTextLimitAddress

    public int getDefaultKernelTextLimitAddress()

### getDefaultStackLimitAddress

    public int getDefaultStackLimitAddress()

### getMemoryMapLimitAddress

    public int getMemoryMapLimitAddress()